Para realizar o download é necessário estar logado no site. Clique aqui para fazer seu Login.
.NET Provider 2.5.0 for .NET 3.5/2.0[with Entity Framework support

Nova versão do ADO .NET Provider do Firebird para .NET 3.5/2.0 com suporte a Entity Framework.